% Contents for KPC Toolbox :
%
% KPC Toolbox 
% Toolbox for trace fitting into Markovian Arrival Processes and Phase-type distributions 
% Version 0.2, 11 Oct 2009
%
% KPC fitting methods
% 	kpcfit_ph_auto      - Fit a renewal (i.i.d) trace automatically using PH distributions
%	kpcfit_ph_manual    - Fit a renewal (i.i.d) trace using PH distributions and user specified parameters 
% 	kpcfit_init         - Initialize KPC fitting for temporal dependent (non-i.i.d) traces
% 	kpcfit_auto         - Fit a temporal dependent (non-i.i.d) trace automatically using PH distributions
%	kpcfit_manual       - Fit a temporal dependent (non-i.i.d) trace using PH distributions and user specified parameters 
%
% Utility functions
%	ph2hyper	    - Compute parameters of a hyper-exponential distribution from a PH distribution
%	map2mmpp	    - Compute parameters of a MMPP from a MAP
%	map2ph          - Returns distribution of a MAP expressed as PH	distribution
%	map_cdf		    - Compute cdf of a MAP or PH distribution
%	map_acf		    - Compute acf of a MAP
%	map_moment	    - Compute moments of a MAP
%	map_joint	    - Compute joint moments of a MAP
%	map_scale	    - Rescales the mean of a MAP to desired value
%	map_normalize	    - Tries to fix an infeasible MAP
%	map_isfeasible	    - Check if a MAP or a PH distribution are feasible
%	mmpp2_fit3	    - Fits three moments and the decay ratio of autocorrelations into a MMPP(2)
%	mmpp2_fit3	    - Fits three moments and the decay ratio of autocorrelations into a MMPP(2)
%	trace_acf	    - Compute autocorrelation of a data trace
%	trace_bicov	    - Compute bicovariance of a data trace
%	trace_joint	    - Compute joint moments of a data trace
%
% $Revision: 0.2 $
	
