function MAP=map_scale(MAP,A)
%  map_scale(MAP,A) scales the mean of a MAP to A
%   function MAP=map_scale(MAP,A)
%
%   Input:
%       MAP  = a map of the form {D0, D1}
%       A    = new value of the mean
%
%   Output:
%       MAP  = a map with mean equal to A
%
%   Remarks:
%       The function does not affect higher-order moments and correlations
ratio=map_moment(MAP,1)/A;
MAP{1}=MAP{1}*ratio;
MAP{2}=MAP{2}*ratio;
end