function rho=trace_acf(S,lags)
rho=[];
if nargin==1
    lags=1;
end
E1=mean(S);
E2=mean(S.^2);
rho=[];

if exist('xcorr')
    rho=xcorr(S-mean(S),max(lags),'coeff');
    rho=rho((max(lags)+2):end);
    rho=rho(lags);    
else
    warning('trace_acf: signal processing toolbox not found, acf estimation may be slow.');    
    for k=lags
        rho(end+1)=(trace_joint(S,[0,k],[1,1])-E1^2)/(E2-E1^2);
    end
end
rho=rho(:);
end